Mapas de calor
GET https://analyticse.com/api/heatmaps/
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Opcional Entero | |
| user_id | Opcional Entero | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Qué campo estás buscando? Los valores permitidos son: name, path. |
| datetime_field | Opcional Cadena | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena | Fecha de inicio |
| datetime_end | Opcional Cadena | Fecha de finalización |
| order_by | Opcional Cadena | Qué campo ordenar los resultados por. Los valores permitidos son: heatmap_id, website_id, name, path, is_enabled, desktop_size, tablet_size, mobile_size, datetime, last_datetime. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que deseas obtener resultados. Por defecto es 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10, 25, 50, 100, 250, 500, 1000. Por defecto es 25. |
{
"data": [
{
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total_results": 1,
"total_pages": 1
},
"links": {
"first": "https://analyticse.com/api/heatmaps?page=1",
"last": "https://analyticse.com/api/heatmaps?page=1",
"next": null,
"prev": null,
"self": "https://analyticse.com/api/heatmaps?page=1"
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
}
GET https://analyticse.com/api/heatmaps/{heatmap_id}/data
curl --request GET \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}/data?snapshot_type=desktop&type=clicks&start_date=2026-01-01&end_date=2026-01-31' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| snapshot_type | Opcional Cadena | Valores permitidos: desktop, tablet, mobile |
| type | Opcional Cadena | Valores permitidos: clicks, scrolls |
| start_date | Opcional Cadena | Fecha de inicio en formato Y-m-d. |
| end_date | Opcional Cadena | Fecha de finalización en formato Y-m-d. |
{
"data": {
"id": 1,
"website_id": 1,
"snapshot_id": 1,
"snapshot_type": "desktop",
"type": "clicks",
"start_date": "2026-01-01",
"end_date": "2026-01-31",
"heatmap_data": [
[25.25, 60.5, 1]
],
"heatmap_data_count": 1
}
}
POST https://analyticse.com/api/heatmaps
| Parámetros | Detalles | Descripción |
|---|---|---|
| website_id | Requerido Entero | |
| name | Requerido Cadena | |
| path | Opcional Cadena | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'website_id=1' \
--form 'name=Example' \
--form 'path=/' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": null,
"desktop_size": 0,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": null
}
}
POST https://analyticse.com/api/heatmaps/{heatmap_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | |
| is_enabled | Opcional Entero | Valores permitidos: 0, 1 |
curl --request POST \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"website_id": 1,
"user_id": 1,
"snapshot_id_desktop": 1,
"desktop_size": 123456,
"snapshot_id_tablet": null,
"tablet_size": 0,
"snapshot_id_mobile": null,
"mobile_size": 0,
"name": "Example",
"path": "/",
"is_enabled": true,
"datetime": "2026-09-12 00:44:36",
"last_datetime": "2026-09-12 00:44:36"
}
}
DELETE https://analyticse.com/api/heatmaps/{heatmap_id}
curl --request DELETE \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://analyticse.com/api/heatmaps/{heatmap_id}' \
--header 'Authorization: Bearer {api_key}' \